# Serialized Form

Package net.sf.antcontrib.antserver

Class net.sf.antcontrib.antserver.Response extends java.lang.Object implements Serializable

Serialized Fields

### succeeded

    boolean succeeded

### errorStackTrace

    java.lang.String errorStackTrace

### errorMessage

    java.lang.String errorMessage

### resultsXml

    java.lang.String resultsXml

### contentLength

    long contentLength

Package net.sf.antcontrib.antserver.commands

Class net.sf.antcontrib.antserver.commands.AbstractCommand extends java.lang.Object implements Serializable

Class net.sf.antcontrib.antserver.commands.DisconnectCommand extends AbstractCommand implements Serializable

Class net.sf.antcontrib.antserver.commands.HelloWorldCommand extends AbstractCommand implements Serializable

Class net.sf.antcontrib.antserver.commands.PropertyContainer extends java.lang.Object implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.String value

Class net.sf.antcontrib.antserver.commands.ReferenceContainer extends java.lang.Object implements Serializable

Serialized Fields

### refId

    java.lang.String refId

### toRefId

    java.lang.String toRefId

Class net.sf.antcontrib.antserver.commands.RunAntCommand extends AbstractCommand implements Serializable

Serialized Fields

### antFile

    java.lang.String antFile

### dir

    java.lang.String dir

### target

    java.lang.String target

### properties

    java.util.Vector<E> properties

### references

    java.util.Vector<E> references

### inheritall

    boolean inheritall

### interitrefs

    boolean interitrefs

Class net.sf.antcontrib.antserver.commands.RunTargetCommand extends AbstractCommand implements Serializable

Serialized Fields

### target

    java.lang.String target

### properties

    java.util.Vector<E> properties

### references

    java.util.Vector<E> references

### inheritall

    boolean inheritall

### interitrefs

    boolean interitrefs

Class net.sf.antcontrib.antserver.commands.SendFileCommand extends AbstractCommand implements Serializable

Serialized Fields

### contentLength

    long contentLength

### todir

    java.lang.String todir

### tofile

    java.lang.String tofile

### fileBaseName

    java.lang.String fileBaseName

Class net.sf.antcontrib.antserver.commands.ShutdownCommand extends AbstractCommand implements Serializable

Package net.sf.antcontrib.net.httpclient

Class net.sf.antcontrib.net.httpclient.ClientParams extends org.apache.commons.httpclient.params.HttpClientParams implements Serializable

serialVersionUID: -1L

Class net.sf.antcontrib.net.httpclient.HostParams extends org.apache.commons.httpclient.params.HostParams implements Serializable

serialVersionUID: -1L

Class net.sf.antcontrib.net.httpclient.MethodParams extends org.apache.commons.httpclient.params.HttpMethodParams implements Serializable

serialVersionUID: -1L